Podcast feeds
Update podcast feed settings
Updates RSS feed settings for a playlist.
PUT
/
projects
/
{project_id}
/
playlists
/
{playlist_id}
/
settings
Update playlist feed settings
curl --request PUT \
--url https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"title": "Podcast title",
"enabled": true,
"description": "This podcast is about...",
"homepage_url": "https://example.com/my-podcast",
"image_url": "https://example.com/image.jpeg",
"apple_categories": {
"primary_category": "Arts",
"primary_subcategory": "Books",
"secondary_category": "Comedy",
"secondary_subcategory": "Improv"
},
"google_categories": [
"Arts",
"Society & Culture",
"Comedy"
],
"language": "en",
"owner_name": "John Smith",
"owner_email": "[email protected]",
"author_names": [
"John Smith",
"Jane Doe"
],
"explicit_enabled": false,
"keywords": [
"Improv Comedy"
],
"feed_limit": 50
}
'import requests
url = "https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings"
payload = {
"title": "Podcast title",
"enabled": True,
"description": "This podcast is about...",
"homepage_url": "https://example.com/my-podcast",
"image_url": "https://example.com/image.jpeg",
"apple_categories": {
"primary_category": "Arts",
"primary_subcategory": "Books",
"secondary_category": "Comedy",
"secondary_subcategory": "Improv"
},
"google_categories": ["Arts", "Society & Culture", "Comedy"],
"language": "en",
"owner_name": "John Smith",
"owner_email": "[email protected]",
"author_names": ["John Smith", "Jane Doe"],
"explicit_enabled": False,
"keywords": ["Improv Comedy"],
"feed_limit": 50
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Podcast title',
enabled: true,
description: 'This podcast is about...',
homepage_url: 'https://example.com/my-podcast',
image_url: 'https://example.com/image.jpeg',
apple_categories: {
primary_category: 'Arts',
primary_subcategory: 'Books',
secondary_category: 'Comedy',
secondary_subcategory: 'Improv'
},
google_categories: ['Arts', 'Society & Culture', 'Comedy'],
language: 'en',
owner_name: 'John Smith',
owner_email: '[email protected]',
author_names: ['John Smith', 'Jane Doe'],
explicit_enabled: false,
keywords: ['Improv Comedy'],
feed_limit: 50
})
};
fetch('https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Podcast title',
'enabled' => true,
'description' => 'This podcast is about...',
'homepage_url' => 'https://example.com/my-podcast',
'image_url' => 'https://example.com/image.jpeg',
'apple_categories' => [
'primary_category' => 'Arts',
'primary_subcategory' => 'Books',
'secondary_category' => 'Comedy',
'secondary_subcategory' => 'Improv'
],
'google_categories' => [
'Arts',
'Society & Culture',
'Comedy'
],
'language' => 'en',
'owner_name' => 'John Smith',
'owner_email' => '[email protected]',
'author_names' => [
'John Smith',
'Jane Doe'
],
'explicit_enabled' => false,
'keywords' => [
'Improv Comedy'
],
'feed_limit' => 50
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings"
payload := strings.NewReader("{\n \"title\": \"Podcast title\",\n \"enabled\": true,\n \"description\": \"This podcast is about...\",\n \"homepage_url\": \"https://example.com/my-podcast\",\n \"image_url\": \"https://example.com/image.jpeg\",\n \"apple_categories\": {\n \"primary_category\": \"Arts\",\n \"primary_subcategory\": \"Books\",\n \"secondary_category\": \"Comedy\",\n \"secondary_subcategory\": \"Improv\"\n },\n \"google_categories\": [\n \"Arts\",\n \"Society & Culture\",\n \"Comedy\"\n ],\n \"language\": \"en\",\n \"owner_name\": \"John Smith\",\n \"owner_email\": \"[email protected]\",\n \"author_names\": [\n \"John Smith\",\n \"Jane Doe\"\n ],\n \"explicit_enabled\": false,\n \"keywords\": [\n \"Improv Comedy\"\n ],\n \"feed_limit\": 50\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Podcast title\",\n \"enabled\": true,\n \"description\": \"This podcast is about...\",\n \"homepage_url\": \"https://example.com/my-podcast\",\n \"image_url\": \"https://example.com/image.jpeg\",\n \"apple_categories\": {\n \"primary_category\": \"Arts\",\n \"primary_subcategory\": \"Books\",\n \"secondary_category\": \"Comedy\",\n \"secondary_subcategory\": \"Improv\"\n },\n \"google_categories\": [\n \"Arts\",\n \"Society & Culture\",\n \"Comedy\"\n ],\n \"language\": \"en\",\n \"owner_name\": \"John Smith\",\n \"owner_email\": \"[email protected]\",\n \"author_names\": [\n \"John Smith\",\n \"Jane Doe\"\n ],\n \"explicit_enabled\": false,\n \"keywords\": [\n \"Improv Comedy\"\n ],\n \"feed_limit\": 50\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Podcast title\",\n \"enabled\": true,\n \"description\": \"This podcast is about...\",\n \"homepage_url\": \"https://example.com/my-podcast\",\n \"image_url\": \"https://example.com/image.jpeg\",\n \"apple_categories\": {\n \"primary_category\": \"Arts\",\n \"primary_subcategory\": \"Books\",\n \"secondary_category\": \"Comedy\",\n \"secondary_subcategory\": \"Improv\"\n },\n \"google_categories\": [\n \"Arts\",\n \"Society & Culture\",\n \"Comedy\"\n ],\n \"language\": \"en\",\n \"owner_name\": \"John Smith\",\n \"owner_email\": \"[email protected]\",\n \"author_names\": [\n \"John Smith\",\n \"Jane Doe\"\n ],\n \"explicit_enabled\": false,\n \"keywords\": [\n \"Improv Comedy\"\n ],\n \"feed_limit\": 50\n}"
response = http.request(request)
puts response.read_body{
"title": "Podcast title",
"enabled": true,
"description": "This podcast is about...",
"homepage_url": "https://example.com/my-podcast",
"image_url": "https://example.com/image.jpeg",
"apple_categories": {
"primary_category": "Arts",
"primary_subcategory": "Books",
"secondary_category": "Comedy",
"secondary_subcategory": "Improv"
},
"google_categories": [
"Arts",
"Society & Culture",
"Comedy"
],
"language": "en",
"owner_name": "John Smith",
"owner_email": "[email protected]",
"author_names": [
"John Smith",
"Jane Doe"
],
"explicit_enabled": false,
"keywords": [
"Improv Comedy"
],
"feed_limit": 50
}Updates the podcast feed settings for a playlist. Each podcast feed is linked to a playlist — use the playlist ID when calling this endpoint.
Path Parameters
Body
application/json
Response
200 - application/json
successful
Was this page helpful?
⌘I
Update playlist feed settings
curl --request PUT \
--url https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"title": "Podcast title",
"enabled": true,
"description": "This podcast is about...",
"homepage_url": "https://example.com/my-podcast",
"image_url": "https://example.com/image.jpeg",
"apple_categories": {
"primary_category": "Arts",
"primary_subcategory": "Books",
"secondary_category": "Comedy",
"secondary_subcategory": "Improv"
},
"google_categories": [
"Arts",
"Society & Culture",
"Comedy"
],
"language": "en",
"owner_name": "John Smith",
"owner_email": "[email protected]",
"author_names": [
"John Smith",
"Jane Doe"
],
"explicit_enabled": false,
"keywords": [
"Improv Comedy"
],
"feed_limit": 50
}
'import requests
url = "https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings"
payload = {
"title": "Podcast title",
"enabled": True,
"description": "This podcast is about...",
"homepage_url": "https://example.com/my-podcast",
"image_url": "https://example.com/image.jpeg",
"apple_categories": {
"primary_category": "Arts",
"primary_subcategory": "Books",
"secondary_category": "Comedy",
"secondary_subcategory": "Improv"
},
"google_categories": ["Arts", "Society & Culture", "Comedy"],
"language": "en",
"owner_name": "John Smith",
"owner_email": "[email protected]",
"author_names": ["John Smith", "Jane Doe"],
"explicit_enabled": False,
"keywords": ["Improv Comedy"],
"feed_limit": 50
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Podcast title',
enabled: true,
description: 'This podcast is about...',
homepage_url: 'https://example.com/my-podcast',
image_url: 'https://example.com/image.jpeg',
apple_categories: {
primary_category: 'Arts',
primary_subcategory: 'Books',
secondary_category: 'Comedy',
secondary_subcategory: 'Improv'
},
google_categories: ['Arts', 'Society & Culture', 'Comedy'],
language: 'en',
owner_name: 'John Smith',
owner_email: '[email protected]',
author_names: ['John Smith', 'Jane Doe'],
explicit_enabled: false,
keywords: ['Improv Comedy'],
feed_limit: 50
})
};
fetch('https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Podcast title',
'enabled' => true,
'description' => 'This podcast is about...',
'homepage_url' => 'https://example.com/my-podcast',
'image_url' => 'https://example.com/image.jpeg',
'apple_categories' => [
'primary_category' => 'Arts',
'primary_subcategory' => 'Books',
'secondary_category' => 'Comedy',
'secondary_subcategory' => 'Improv'
],
'google_categories' => [
'Arts',
'Society & Culture',
'Comedy'
],
'language' => 'en',
'owner_name' => 'John Smith',
'owner_email' => '[email protected]',
'author_names' => [
'John Smith',
'Jane Doe'
],
'explicit_enabled' => false,
'keywords' => [
'Improv Comedy'
],
'feed_limit' => 50
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings"
payload := strings.NewReader("{\n \"title\": \"Podcast title\",\n \"enabled\": true,\n \"description\": \"This podcast is about...\",\n \"homepage_url\": \"https://example.com/my-podcast\",\n \"image_url\": \"https://example.com/image.jpeg\",\n \"apple_categories\": {\n \"primary_category\": \"Arts\",\n \"primary_subcategory\": \"Books\",\n \"secondary_category\": \"Comedy\",\n \"secondary_subcategory\": \"Improv\"\n },\n \"google_categories\": [\n \"Arts\",\n \"Society & Culture\",\n \"Comedy\"\n ],\n \"language\": \"en\",\n \"owner_name\": \"John Smith\",\n \"owner_email\": \"[email protected]\",\n \"author_names\": [\n \"John Smith\",\n \"Jane Doe\"\n ],\n \"explicit_enabled\": false,\n \"keywords\": [\n \"Improv Comedy\"\n ],\n \"feed_limit\": 50\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Podcast title\",\n \"enabled\": true,\n \"description\": \"This podcast is about...\",\n \"homepage_url\": \"https://example.com/my-podcast\",\n \"image_url\": \"https://example.com/image.jpeg\",\n \"apple_categories\": {\n \"primary_category\": \"Arts\",\n \"primary_subcategory\": \"Books\",\n \"secondary_category\": \"Comedy\",\n \"secondary_subcategory\": \"Improv\"\n },\n \"google_categories\": [\n \"Arts\",\n \"Society & Culture\",\n \"Comedy\"\n ],\n \"language\": \"en\",\n \"owner_name\": \"John Smith\",\n \"owner_email\": \"[email protected]\",\n \"author_names\": [\n \"John Smith\",\n \"Jane Doe\"\n ],\n \"explicit_enabled\": false,\n \"keywords\": [\n \"Improv Comedy\"\n ],\n \"feed_limit\": 50\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.beyondwords.io/v1/projects/{project_id}/playlists/{playlist_id}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Podcast title\",\n \"enabled\": true,\n \"description\": \"This podcast is about...\",\n \"homepage_url\": \"https://example.com/my-podcast\",\n \"image_url\": \"https://example.com/image.jpeg\",\n \"apple_categories\": {\n \"primary_category\": \"Arts\",\n \"primary_subcategory\": \"Books\",\n \"secondary_category\": \"Comedy\",\n \"secondary_subcategory\": \"Improv\"\n },\n \"google_categories\": [\n \"Arts\",\n \"Society & Culture\",\n \"Comedy\"\n ],\n \"language\": \"en\",\n \"owner_name\": \"John Smith\",\n \"owner_email\": \"[email protected]\",\n \"author_names\": [\n \"John Smith\",\n \"Jane Doe\"\n ],\n \"explicit_enabled\": false,\n \"keywords\": [\n \"Improv Comedy\"\n ],\n \"feed_limit\": 50\n}"
response = http.request(request)
puts response.read_body{
"title": "Podcast title",
"enabled": true,
"description": "This podcast is about...",
"homepage_url": "https://example.com/my-podcast",
"image_url": "https://example.com/image.jpeg",
"apple_categories": {
"primary_category": "Arts",
"primary_subcategory": "Books",
"secondary_category": "Comedy",
"secondary_subcategory": "Improv"
},
"google_categories": [
"Arts",
"Society & Culture",
"Comedy"
],
"language": "en",
"owner_name": "John Smith",
"owner_email": "[email protected]",
"author_names": [
"John Smith",
"Jane Doe"
],
"explicit_enabled": false,
"keywords": [
"Improv Comedy"
],
"feed_limit": 50
}